com.genesyslab.wfm7.API.service.forecast710

## Interface WFMForecastService710Soap

- All Superinterfaces:
    java.rmi.Remote

      public interface WFMForecastService710Soap
      extends java.rmi.Remote

  An accurate forecast is critical to producing an optimal schedule for the contact center workforce. Genesys' unique forecasting model combines historical CTI data as well as data from the ACD to provide a more accurate forecast across all types of interactions. Data is collected on a real-time basis, so forecasts reflect the most recent activity trends and demand for services. WFM Forecast Service is a part of WFM Server component.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addScenarioActivity(int scenarioId, FrcActivity[] activities)`
    `void` | `addTemplateActivities(int templateId, FrcActivity[] activities)`
    `java.lang.String` | `asyncGetForecastInformation(int scenarioID, int target, int targetID, int[] types, double start, double end, int branchSelection, int[] granularities, int request)`
    `java.lang.String` | `asyncSplitPredictedData(int scenarioId, FrcActivity[] sourceActivity, FrcActivity[] targetActivities, double start, double end, boolean keepAHT, boolean useAllActivities, boolean frcSaveSplitResults, boolean considerPlannedItems)`
    `java.lang.String` | `buildPredictedDataBasedOnConstant(int scenarioId, FrcActivity[] activities, int[] types, double start, double end, double growthRate, double value, boolean frcSaveBuildResults)`
    `java.lang.String` | `buildPredictedDataBasedOnHistory(int scenarioId, FrcActivity[] activities, int[] types, double start, double end, double historyStart, double historyEnd, double growthRate, FrcTemplateData[] overrideData, boolean frcSaveBuildResults)`
    `java.lang.String` | `buildPredictedDataBasedOnTemplate(int scenarioId, FrcActivity[] activities, int[] types, double start, double end, double growthRate, FrcTemplateData[] templateData, boolean frcSaveBuildResults)`
    `java.lang.String` | `buildPredictedDataUseMethod(int scenarioId, FrcActivity[] activities, int[] types, double start, double end, int method, double historyStart, double historyEnd, double growthRate, FrcTemplateData[] data, FrcActivityEvents[] events, boolean frcSaveBuildResults)`
    `java.lang.String` | `calculateStaffingRequirementData(int scenarioId, FrcActivity[] targetActivities, int[] types, double start, double end, int method, FrcPeriodParameters[] periodParameters, FrcStaffingDataParameters[] parameters, FrcStaffingDataObjectives[] objectives, FrcTemplateData[] templateData, boolean frcSaveBuildResults)`
    `int` | `createScenario(java.lang.String name, java.lang.String comments, int type, FrcActivity[] activities, double start, double end)`
    `int` | `createTemplate(int type, java.lang.String name, int parentType, int parentId, double start, double end, FrcActivity[] activities, double initialValue, int basedOnTemplate)`
    `void` | `deleteForecastInformation(int scenarioId, FrcActivity[] activities, double start, double end)`
    `void` | `deleteScenario(int scenarioId)`
    `void` | `deleteScenarioActivity(int scenarioId, FrcActivity[] activities)`
    `void` | `deleteTemplate(int[] templates)`
    `void` | `deleteTemplateActivities(int templateId, FrcActivity[] activities)`
    `int` | `findScenarioInSnapshot(java.lang.String snapshotId, java.lang.String name, int startIndex)`
    `FrcActivityFactors[]` | `getActivityFactors(FrcActivity activity, double start, double end)`
    `FrcActivityHistoricalInformationIndicators[]` | `getActivityHistoricalInformationIndicators(FrcActivity[] activities, int[] types, double start, double end, int request)`
    `FrcTargetForecastInformation[]` | `getAsyncRequestForecastInformation(java.lang.String asyncRequestID)`
    `FrcActivityEvents[]` | `getForecastActivityEvents(int scenarioId, FrcActivity[] activities, double start, double end)`
    `FrcActivityBuildSelection` | `getForecastActivityPredictionBuildSelection(int scenarioID, int target, int targetID)`
    `FrcActivityBuildSelection` | `getForecastActivityStaffingBuildSelection(int scenarioID, int target, int targetID)`
    `FrcTargetForecastInformation[]` | `getForecastInformation(int scenarioId, int target, int targetId, int[] types, double start, double end, int timeZone, int branchSelection, int granularity, int request)` Returns requested forecast information for specified period and specified target.
    `FrcActivityDataIndicator[]` | `getForecastInformationIndicators(int scenarioId, double start, double end, FrcActivity[] activities)`
    `FrcTargetForecastInformation[]` | `getForecastRequestActivityData(java.lang.String requestID, int activityID, int[] types, double start, double end, int granularity)`
    `FrcSplitResult[]` | `getForecastSplitResult(java.lang.String asyncRequestID)`
    `SFrcSplitResult[]` | `getForecastSplitResults(java.lang.String asyncRequestID)`
    `FrcActivityEventsEx[]` | `getForecastTargetEvents(int scenarioId, int target, int targetId, double start, double end)`
    `FrcTargetForecastInformation[]` | `getHistoricalInformation(int target, int targetId, int[] types, double start, double end, int granularity)`
    `FrcHistoricalShortInformation` | `getHistoricalShortInformation()`
    `FrcScenarioInformation[]` | `getScenario(int scenarioId)`
    `CfgActivityShort[]` | `getScenarioActivityConfiguration(int scenarioId, int[] sites, int sortMode, boolean sortAscending)`
    `CfgBUShort[]` | `getScenarioBUConfiguration(int scenarioId, int sortMode, boolean sortAscending)`
    `FrcScenarioInformation[]` | `getScenarioFromSnapshot(java.lang.String snapshotId, int first, int last)`
    `CfgSiteShort[]` | `getScenarioSiteConfiguration(int scenarioId, int[] bUnits, int sortMode, boolean sortAscending)`
    `CfgActivityShort[]` | `getScenarioToVirtualAssignedActivityConfiguration(int scenarioId, int[] virtualActivities, int sortMode, boolean sortAscending)`
    `CfgVirtualActivityShort[]` | `getScenarioVirtualActivityConfiguration(int scenarioId, int[] bUnits, int sortMode, boolean sortAscending)`
    `FrcSiteFactors` | `getSiteFactors(int siteId, double start, double end)`
    `FrcTemplate` | `getTemplate(int templateId, int request)`
    `FrcActivity[]` | `getTemplateActivities(int templateId)`
    `FrcData[]` | `getTemplateData(int templateId)`
    `FrcTemplateHeader[]` | `getTemplatesList(int[] BUs, int[] sites, int[] types)`
    `FrcScenarioSnapshot` | `openScenarioSnapshot(int ownership, int[] types, int[] statuses, double start, double end, int sortMode, boolean sortAscending)`
    `java.lang.String` | `publishForecast(FrcActivity[] activities, int sourceScenarioId, double sourceStartDate, double sourceEndDate, int targetScenarioId, double targetStartDate, double targetEndDate)`
    `long` | `readScenarioDBTimestamp(int scenarioId)`
    `java.lang.String` | `saveForecastRequestData(java.lang.String asyncRequestToSaveID)`
    `int` | `saveHistoricalDataAsTemplate(int type, java.lang.String name, int parentType, int parentId, double start, double end, FrcActivity[] activities, FrcActivity[] sourceActivities)`
    `int` | `saveStaffingDataAsTemplate(java.lang.String name, int parentType, int parentId, double start, double end, FrcActivity[] activities, int sourceScenarioId, FrcActivity[] sourceActivities)`
    `java.lang.String` | `setForecastInformation(int scenarioId, FrcActivityForecastInformation[] information)`
    `void` | `setScenarioComments(int scenarioId, java.lang.String comments)`
    `void` | `setScenarioName(int scenarioId, java.lang.String name)`
    `void` | `setScenarioType(int scenarioId, int type)`
    `void` | `setTemplateData(int templateId, FrcData[] data)`
    `void` | `setTemplateName(int templateId, java.lang.String name)`
    `void` | `sortScenarioSnapshot(java.lang.String snapshotId, int sortMode, boolean sortAscending)`
    `java.lang.String` | `splitPredictedData(int scenarioId, FrcActivity[] sourceActivity, FrcActivity[] targetActivities, double start, double end, boolean keepAHT, boolean useAllActivities, boolean frcSaveSplitResults)`

- - ### Method Detail

    - #### getScenario

          FrcScenarioInformation[] getScenario(int scenarioId)
                                               throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### readScenarioDBTimestamp

          long readScenarioDBTimestamp(int scenarioId)
                                       throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### openScenarioSnapshot

          FrcScenarioSnapshot openScenarioSnapshot(int ownership,
                                                 int[] types,
                                                 int[] statuses,
                                                 double start,
                                                 double end,
                                                 int sortMode,
                                                 boolean sortAscending)
                                                   throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getScenarioFromSnapshot

          FrcScenarioInformation[] getScenarioFromSnapshot(java.lang.String snapshotId,
                                                         int first,
                                                         int last)
                                                           throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### sortScenarioSnapshot

          void sortScenarioSnapshot(java.lang.String snapshotId,
                                  int sortMode,
                                  boolean sortAscending)
                                    throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### findScenarioInSnapshot

          int findScenarioInSnapshot(java.lang.String snapshotId,
                                   java.lang.String name,
                                   int startIndex)
                                     throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getScenarioBUConfiguration

          CfgBUShort[] getScenarioBUConfiguration(int scenarioId,
                                                int sortMode,
                                                boolean sortAscending)
                                                  throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getScenarioSiteConfiguration

          CfgSiteShort[] getScenarioSiteConfiguration(int scenarioId,
                                                    int[] bUnits,
                                                    int sortMode,
                                                    boolean sortAscending)
                                                      throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getScenarioToVirtualAssignedActivityConfiguration

          CfgActivityShort[] getScenarioToVirtualAssignedActivityConfiguration(int scenarioId,
                                                                             int[] virtualActivities,
                                                                             int sortMode,
                                                                             boolean sortAscending)
                                                                               throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getScenarioVirtualActivityConfiguration

          CfgVirtualActivityShort[] getScenarioVirtualActivityConfiguration(int scenarioId,
                                                                          int[] bUnits,
                                                                          int sortMode,
                                                                          boolean sortAscending)
                                                                            throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getScenarioActivityConfiguration

          CfgActivityShort[] getScenarioActivityConfiguration(int scenarioId,
                                                            int[] sites,
                                                            int sortMode,
                                                            boolean sortAscending)
                                                              throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getForecastInformationIndicators

          FrcActivityDataIndicator[] getForecastInformationIndicators(int scenarioId,
                                                                    double start,
                                                                    double end,
                                                                    FrcActivity[] activities)
                                                                      throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getForecastInformation

          FrcTargetForecastInformation[] getForecastInformation(int scenarioId,
                                                              int target,
                                                              int targetId,
                                                              int[] types,
                                                              double start,
                                                              double end,
                                                              int timeZone,
                                                              int branchSelection,
                                                              int granularity,
                                                              int request)
                                                                throws java.rmi.RemoteException

      Returns requested forecast information for specified period and specified target. Data can be aggregated using granularity parameter.
      Parameters:
        `scenarioId` - Scenario identifier, 0 - for master
        `target` - Target level
        `targetId` - Target identifier
        `types` - Array of required data types
        `start` - Requested start date
        `end` - Requested end date
        `timeZone` - Indicates use of time zones. 0 - ignore time zones.
        `branchSelection` - Indicator specifies how target Activities must be selected. 0 - (default) Site branch, 1 - Multi-site Activity branch.
        `granularity` - Requested period granularity in minutes. Period data aggregated from the start to the end with the given granularity. Meaningful values: 0 - total for the whole period; 15 min (time step); 1440 (1 day); 10080 (1 week); 60480 (max long period - 6 weeks). Monthly aggregation performed on calendar month basis (special value is -1), e.g. start Jun 15, 2003 - end Jul 15, 2003 will be aggregated as 2 values for periods: (Jun 15, 2003 - Jun 30, 2003) and (Jul 1, 2003 - Jul 15, 2003). Special values: 0 - for total value; -1 - calendar month; -10 - calendar week starts Sunday; -11 - calendar week starts Mon.; -12 - calendar week starts Tue.; -13 - calendar week starts Wed.; -14 - calendar week starts Thu.; -15 - calendar week starts Fri.; -16 - calendar week starts Sat.
        `request` - Requested information flag: 0 - all information; 1 - forecast data only; 2 - parameters only; 4 - objectives only; 8 - period parameters only; 16 - data comments. Request is a bit mask and can specify more than one information request, e.g. 5 = forecast data and objectives.
      Returns:
        Requested information values related to the scenario
      Throws:
        `java.rmi.RemoteException`

    - #### asyncGetForecastInformation

          java.lang.String asyncGetForecastInformation(int scenarioID,
                                                     int target,
                                                     int targetID,
                                                     int[] types,
                                                     double start,
                                                     double end,
                                                     int branchSelection,
                                                     int[] granularities,
                                                     int request)
                                                       throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getAsyncRequestForecastInformation

          FrcTargetForecastInformation[] getAsyncRequestForecastInformation(java.lang.String asyncRequestID)
                                                                            throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getForecastSplitResults

          SFrcSplitResult[] getForecastSplitResults(java.lang.String asyncRequestID)
                                                    throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getForecastSplitResult

          FrcSplitResult[] getForecastSplitResult(java.lang.String asyncRequestID)
                                                  throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### createScenario

          int createScenario(java.lang.String name,
                           java.lang.String comments,
                           int type,
                           FrcActivity[] activities,
                           double start,
                           double end)
                             throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### setScenarioComments

          void setScenarioComments(int scenarioId,
                                 java.lang.String comments)
                                   throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### setScenarioName

          void setScenarioName(int scenarioId,
                             java.lang.String name)
                               throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### setScenarioType

          void setScenarioType(int scenarioId,
                             int type)
                               throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### addScenarioActivity

          void addScenarioActivity(int scenarioId,
                                 FrcActivity[] activities)
                                   throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### deleteScenarioActivity

          void deleteScenarioActivity(int scenarioId,
                                    FrcActivity[] activities)
                                      throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### setForecastInformation

          java.lang.String setForecastInformation(int scenarioId,
                                                FrcActivityForecastInformation[] information)
                                                  throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### deleteScenario

          void deleteScenario(int scenarioId)
                              throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### deleteForecastInformation

          void deleteForecastInformation(int scenarioId,
                                       FrcActivity[] activities,
                                       double start,
                                       double end)
                                         throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### publishForecast

          java.lang.String publishForecast(FrcActivity[] activities,
                                         int sourceScenarioId,
                                         double sourceStartDate,
                                         double sourceEndDate,
                                         int targetScenarioId,
                                         double targetStartDate,
                                         double targetEndDate)
                                           throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getSiteFactors

          FrcSiteFactors getSiteFactors(int siteId,
                                      double start,
                                      double end)
                                        throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getActivityFactors

          FrcActivityFactors[] getActivityFactors(FrcActivity activity,
                                                double start,
                                                double end)
                                                  throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getForecastActivityEvents

          FrcActivityEvents[] getForecastActivityEvents(int scenarioId,
                                                      FrcActivity[] activities,
                                                      double start,
                                                      double end)
                                                        throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getForecastTargetEvents

          FrcActivityEventsEx[] getForecastTargetEvents(int scenarioId,
                                                      int target,
                                                      int targetId,
                                                      double start,
                                                      double end)
                                                        throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### buildPredictedDataUseMethod

          java.lang.String buildPredictedDataUseMethod(int scenarioId,
                                                     FrcActivity[] activities,
                                                     int[] types,
                                                     double start,
                                                     double end,
                                                     int method,
                                                     double historyStart,
                                                     double historyEnd,
                                                     double growthRate,
                                                     FrcTemplateData[] data,
                                                     FrcActivityEvents[] events,
                                                     boolean frcSaveBuildResults)
                                                       throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### buildPredictedDataBasedOnTemplate

          java.lang.String buildPredictedDataBasedOnTemplate(int scenarioId,
                                                           FrcActivity[] activities,
                                                           int[] types,
                                                           double start,
                                                           double end,
                                                           double growthRate,
                                                           FrcTemplateData[] templateData,
                                                           boolean frcSaveBuildResults)
                                                             throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### buildPredictedDataBasedOnConstant

          java.lang.String buildPredictedDataBasedOnConstant(int scenarioId,
                                                           FrcActivity[] activities,
                                                           int[] types,
                                                           double start,
                                                           double end,
                                                           double growthRate,
                                                           double value,
                                                           boolean frcSaveBuildResults)
                                                             throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### buildPredictedDataBasedOnHistory

          java.lang.String buildPredictedDataBasedOnHistory(int scenarioId,
                                                          FrcActivity[] activities,
                                                          int[] types,
                                                          double start,
                                                          double end,
                                                          double historyStart,
                                                          double historyEnd,
                                                          double growthRate,
                                                          FrcTemplateData[] overrideData,
                                                          boolean frcSaveBuildResults)
                                                            throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### splitPredictedData

          java.lang.String splitPredictedData(int scenarioId,
                                            FrcActivity[] sourceActivity,
                                            FrcActivity[] targetActivities,
                                            double start,
                                            double end,
                                            boolean keepAHT,
                                            boolean useAllActivities,
                                            boolean frcSaveSplitResults)
                                              throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### asyncSplitPredictedData

          java.lang.String asyncSplitPredictedData(int scenarioId,
                                                 FrcActivity[] sourceActivity,
                                                 FrcActivity[] targetActivities,
                                                 double start,
                                                 double end,
                                                 boolean keepAHT,
                                                 boolean useAllActivities,
                                                 boolean frcSaveSplitResults,
                                                 boolean considerPlannedItems)
                                                   throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### calculateStaffingRequirementData

          java.lang.String calculateStaffingRequirementData(int scenarioId,
                                                          FrcActivity[] targetActivities,
                                                          int[] types,
                                                          double start,
                                                          double end,
                                                          int method,
                                                          FrcPeriodParameters[] periodParameters,
                                                          FrcStaffingDataParameters[] parameters,
                                                          FrcStaffingDataObjectives[] objectives,
                                                          FrcTemplateData[] templateData,
                                                          boolean frcSaveBuildResults)
                                                            throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getHistoricalShortInformation

          FrcHistoricalShortInformation getHistoricalShortInformation()
                                                                      throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getActivityHistoricalInformationIndicators

          FrcActivityHistoricalInformationIndicators[] getActivityHistoricalInformationIndicators(FrcActivity[] activities,
                                                                                                int[] types,
                                                                                                double start,
                                                                                                double end,
                                                                                                int request)
                                                                                                  throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getHistoricalInformation

          FrcTargetForecastInformation[] getHistoricalInformation(int target,
                                                                int targetId,
                                                                int[] types,
                                                                double start,
                                                                double end,
                                                                int granularity)
                                                                  throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getTemplatesList

          FrcTemplateHeader[] getTemplatesList(int[] BUs,
                                             int[] sites,
                                             int[] types)
                                               throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getTemplateData

          FrcData[] getTemplateData(int templateId)
                                    throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getTemplate

          FrcTemplate getTemplate(int templateId,
                                int request)
                                  throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getTemplateActivities

          FrcActivity[] getTemplateActivities(int templateId)
                                              throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### createTemplate

          int createTemplate(int type,
                           java.lang.String name,
                           int parentType,
                           int parentId,
                           double start,
                           double end,
                           FrcActivity[] activities,
                           double initialValue,
                           int basedOnTemplate)
                             throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### setTemplateName

          void setTemplateName(int templateId,
                             java.lang.String name)
                               throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### setTemplateData

          void setTemplateData(int templateId,
                             FrcData[] data)
                               throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### deleteTemplate

          void deleteTemplate(int[] templates)
                              throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### addTemplateActivities

          void addTemplateActivities(int templateId,
                                   FrcActivity[] activities)
                                     throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### deleteTemplateActivities

          void deleteTemplateActivities(int templateId,
                                      FrcActivity[] activities)
                                        throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### saveHistoricalDataAsTemplate

          int saveHistoricalDataAsTemplate(int type,
                                         java.lang.String name,
                                         int parentType,
                                         int parentId,
                                         double start,
                                         double end,
                                         FrcActivity[] activities,
                                         FrcActivity[] sourceActivities)
                                           throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### saveStaffingDataAsTemplate

          int saveStaffingDataAsTemplate(java.lang.String name,
                                       int parentType,
                                       int parentId,
                                       double start,
                                       double end,
                                       FrcActivity[] activities,
                                       int sourceScenarioId,
                                       FrcActivity[] sourceActivities)
                                         throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### saveForecastRequestData

          java.lang.String saveForecastRequestData(java.lang.String asyncRequestToSaveID)
                                                   throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getForecastRequestActivityData

          FrcTargetForecastInformation[] getForecastRequestActivityData(java.lang.String requestID,
                                                                      int activityID,
                                                                      int[] types,
                                                                      double start,
                                                                      double end,
                                                                      int granularity)
                                                                        throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getForecastActivityPredictionBuildSelection

          FrcActivityBuildSelection getForecastActivityPredictionBuildSelection(int scenarioID,
                                                                              int target,
                                                                              int targetID)
                                                                                throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

    - #### getForecastActivityStaffingBuildSelection

          FrcActivityBuildSelection getForecastActivityStaffingBuildSelection(int scenarioID,
                                                                            int target,
                                                                            int targetID)
                                                                              throws java.rmi.RemoteException

      Throws:
        `java.rmi.RemoteException`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.